Skip to main content
`Ctrl`+`K`

# PetscFESetUp

Construct data structures for the `PetscFE` after the `PetscFEType` has been set

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFESetUp(PetscFE fem)

Collective

## Input Parameter

- fem - the `PetscFE` object to setup

## See Also

`PetscFE`, `PetscFEView()`, `PetscFEDestroy()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

## Implementations

PetscFESetUp_Basic() in src/dm/dt/fe/impls/basic/febasic.c
PetscFESetUp_Composite() in src/dm/dt/fe/impls/composite/fecomposite.c
PetscFESetUp_Vector() in src/dm/dt/fe/impls/vector/fevector.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages